aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2019-12-02 18:38:44 +0100
committerVratko Polak <vrpolak@cisco.com>2019-12-02 18:57:32 +0100
commit627cddca1d64edb8475407a1524efb2a22249a25 (patch)
tree919d0140958f94dda23d7338195fc7658940e5c3 /resources/libraries/bash
parent9a936616eea7236ca8183f632d01d62109e12b29 (diff)
Refactor jumpavg to be more readable and usable
This is the python3 change, the python2 is still used for testing bisect. + New version is 0.2.0 due to amount o API changes. + Jumpavg is now part of CSIT resource package tree. + Perpatch migrated to new jumpavg. - PAL NOT updated (the update moved to a different Change). Change-Id: I7d7a8bf8a411196c20c2a40a8c64478d6709bc07 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash')
-rw-r--r--resources/libraries/bash/function/per_patch.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/resources/libraries/bash/function/per_patch.sh b/resources/libraries/bash/function/per_patch.sh
index 919789b5f4..ea7ea4f837 100644
--- a/resources/libraries/bash/function/per_patch.sh
+++ b/resources/libraries/bash/function/per_patch.sh
@@ -108,11 +108,12 @@ function compare_test_results () {
set -exuo pipefail
cd "${VPP_DIR}" || die "Change directory operation failed."
- # Reusing CSIT main virtualenv.
+ # Ply is installed as system level package, but not seen for some reason.
pip3 install -r "${PYTHON_SCRIPTS_DIR}/perpatch_requirements.txt" || {
- die "Perpatch Python requirements installation failed."
+ die "Compare script Python requirements installation failed."
}
- python3 "${PYTHON_SCRIPTS_DIR}/compare_perpatch.py"
+ # Reusing CSIT main virtualenv.
+ python3 "${TOOLS_DIR}/integrated/compare_perpatch.py"
# The exit code determines the vote result.
}